Gitweb links:
...log
http://git.netsurf-browser.org/netsurf.git/shortlog/f8cdbbce19b102fb958c5...
...commit
http://git.netsurf-browser.org/netsurf.git/commit/f8cdbbce19b102fb958c56f...
...tree
http://git.netsurf-browser.org/netsurf.git/tree/f8cdbbce19b102fb958c56f62...
The branch, master has been updated
via f8cdbbce19b102fb958c56f628a4f76f7f3e5052 (commit)
via b72b9d1f1fe2bd406311b4f43ee3f370011251e7 (commit)
via d1eb578ffe5abad751d0c2007e53975b7e2781a0 (commit)
via 7136b535edddc5fcb8f1a064239416e561166eda (commit)
from c6717f1ade89e969eb311d0069dd4c29859cf2c4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commitdiff
http://git.netsurf-browser.org/netsurf.git/commit/?id=f8cdbbce19b102fb958...
commit f8cdbbce19b102fb958c56f628a4f76f7f3e5052
Author: Vincent Sanders <vince(a)kyllikki.org>
Commit: Vincent Sanders <vince(a)kyllikki.org>
slightly amend how user config is included
diff --git a/Makefile b/Makefile
index 0c2933b..1c2f517 100644
--- a/Makefile
+++ b/Makefile
@@ -505,9 +505,12 @@ CXXWARNFLAGS :=
# C default warning flags
CWARNFLAGS := -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs
-# Pull in the configuration
+# Pull in the default configuration
include Makefile.defaults
+# Pull in the user configuration
+-include Makefile.config
+
# libraries enabled by feature switch without pkgconfig file
$(eval $(call feature_switch,JPEG,JPEG (libjpeg),-DWITH_JPEG,-ljpeg,-UWITH_JPEG,))
$(eval $(call feature_switch,HARU_PDF,PDF export (haru),-DWITH_PDF_EXPORT,-lhpdf
-lpng,-UWITH_PDF_EXPORT,))
diff --git a/Makefile.defaults b/Makefile.defaults
index 619b8db..a3ccf87 100644
--- a/Makefile.defaults
+++ b/Makefile.defaults
@@ -136,11 +136,9 @@ endif
# ----------------------------------------------------------------------------
-# Include any local configuration
+# Detect double inclusion
# ----------------------------------------------------------------------------
ifneq ($(MAKEFILE_DEFAULTS_FINISHED),)
$(error Makefile.defaults has been double-included. If you did something utterly
brain-dead such as copying Makefile.defaults to Makefile.config then you deserve all the
pain you can imagine. Do NOT do that. Why not read the comments at the top of
Makefile.defaults. They are there to help you, you numpty)
endif
MAKEFILE_DEFAULTS_FINISHED=yes
--include Makefile.config
-
commitdiff
http://git.netsurf-browser.org/netsurf.git/commit/?id=b72b9d1f1fe2bd40631...
commit b72b9d1f1fe2bd406311b4f43ee3f370011251e7
Author: Vincent Sanders <vince(a)kyllikki.org>
Commit: Vincent Sanders <vince(a)kyllikki.org>
clean up whitespace and indentation
diff --git a/docs/env.sh b/docs/env.sh
index 13e101e..8a82ad0 100644
--- a/docs/env.sh
+++ b/docs/env.sh
@@ -22,28 +22,28 @@ fi
# Get the host build if unset
if [ "x${HOST}" = "x" ]; then
if [ "x${TARGET_ABI}" = "x" ]; then
- HOST=${BUILD}
+ HOST=${BUILD}
else
- HOST=${TARGET_ABI}
+ HOST=${TARGET_ABI}
fi
else
HOST_CC_LIST="${HOST}-cc ${HOST}-gcc /opt/netsurf/${HOST}/cross/bin/${HOST}-cc
/opt/netsurf/${HOST}/cross/bin/${HOST}-gcc"
for HOST_CC_V in $(echo ${HOST_CC_LIST});do
- HOST_CC=$(/bin/which ${HOST_CC_V})
- if [ "x${HOST_CC}" != "x" ];then
- break
- fi
+ HOST_CC=$(/bin/which ${HOST_CC_V})
+ if [ "x${HOST_CC}" != "x" ];then
+ break
+ fi
done
if [ "x${HOST_CC}" = "x" ];then
- echo "Unable to execute host compiler for HOST=${HOST}. is it set correctly?"
- return 1
+ echo "Unable to execute host compiler for HOST=${HOST}. is it set
correctly?"
+ return 1
fi
HOST_CC_MACHINE=$(${HOST_CC} -dumpmachine 2>/dev/null)
if [ "${HOST_CC_MACHINE}" != "${HOST}" ];then
- echo "Compiler dumpmachine differes from HOST setting"
- return 2
+ echo "Compiler dumpmachine differes from HOST setting"
+ return 2
fi
unset HOST_CC_LIST HOST_CC_V HOST_CC HOST_CC_MACHINE
fi
@@ -139,8 +139,8 @@ case "${HOST}" in
NS_TOOLS=""
# libraries required for the freebsd frontend
NS_FRONTEND_LIBS=""
- # select gnu make
- MAKE=gmake
+ # select gnu make
+ MAKE=gmake
;;
*)
# default tools required to build the browser
@@ -268,13 +268,13 @@ ns-package-install()
# git pull in all repos parameters are passed to git pull
ns-pull()
{
- for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_TOOLS} ${NS_BROWSER}) ; do
- echo -n " GIT: Pulling ${REPO}: "
- if [ -f "${TARGET_WORKSPACE}/${REPO}/.git/config" ]; then
- (cd ${TARGET_WORKSPACE}/${REPO} && git pull $*; )
- else
- echo "Repository not present"
- fi
+ for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_TOOLS} ${NS_BROWSER}) ; do
+ echo -n " GIT: Pulling ${REPO}: "
+ if [ -f "${TARGET_WORKSPACE}/${REPO}/.git/config" ]; then
+ (cd ${TARGET_WORKSPACE}/${REPO} && git pull $*; )
+ else
+ echo "Repository not present"
+ fi
done
}
@@ -282,18 +282,18 @@ ns-pull()
ns-clone()
{
mkdir -p ${TARGET_WORKSPACE}
- for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_RISCOS_LIBS} ${NS_TOOLS} ${NS_BROWSER}) ; do
- echo -n " GIT: Cloning ${REPO}: "
- if [ -f ${TARGET_WORKSPACE}/${REPO}/.git/config ]; then
- echo "Repository already present"
- else
- (cd ${TARGET_WORKSPACE} && git clone ${NS_GIT}/${REPO}.git; )
- fi
+ for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_RISCOS_LIBS} ${NS_TOOLS} ${NS_BROWSER}) ; do
+ echo -n " GIT: Cloning ${REPO}: "
+ if [ -f ${TARGET_WORKSPACE}/${REPO}/.git/config ]; then
+ echo "Repository already present"
+ else
+ (cd ${TARGET_WORKSPACE} && git clone ${NS_GIT}/${REPO}.git; )
+ fi
done
# put current env.sh in place in workspace
if [ ! -f "${TARGET_WORKSPACE}/env.sh" -a -f
${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ]; then
- cp ${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ${TARGET_WORKSPACE}/env.sh
+ cp ${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ${TARGET_WORKSPACE}/env.sh
fi
}
@@ -301,19 +301,19 @@ ns-clone()
ns-make-libs()
{
for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_TOOLS}); do
- echo " MAKE: make -C ${REPO} $USE_CPUS $*"
- ${MAKE} -C ${TARGET_WORKSPACE}/${REPO} $USE_CPUS $*
- if [ $? -ne 0 ]; then
- return $?
- fi
+ echo " MAKE: make -C ${REPO} $USE_CPUS $*"
+ ${MAKE} -C ${TARGET_WORKSPACE}/${REPO} $USE_CPUS $*
+ if [ $? -ne 0 ]; then
+ return $?
+ fi
done
- for REPO in $(echo ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}); do
- echo " MAKE: make -C ${REPO} $USE_CPUS $*"
+ for REPO in $(echo ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}); do
+ echo " MAKE: make -C ${REPO} $USE_CPUS $*"
${MAKE} -C ${TARGET_WORKSPACE}/${REPO} HOST=${HOST} $USE_CPUS $*
- if [ $? -ne 0 ]; then
- return $?
- fi
+ if [ $? -ne 0 ]; then
+ return $?
+ fi
done
}
@@ -337,4 +337,3 @@ ns-make()
{
${MAKE} $USE_CPUS "$@"
}
-
commitdiff
http://git.netsurf-browser.org/netsurf.git/commit/?id=d1eb578ffe5abad751d...
commit d1eb578ffe5abad751d0c2007e53975b7e2781a0
Author: Vincent Sanders <vince(a)kyllikki.org>
Commit: Vincent Sanders <vince(a)kyllikki.org>
add logging library to required libraries
diff --git a/docs/env.sh b/docs/env.sh
index 3ad3306..13e101e 100644
--- a/docs/env.sh
+++ b/docs/env.sh
@@ -90,7 +90,7 @@ NS_GIT="git://git.netsurf-browser.org"
NS_BUILDSYSTEM="buildsystem"
# internal libraries all frontends require (order is important)
-NS_INTERNAL_LIBS="libwapcaplet libparserutils libhubbub libdom libcss libnsgif
libnsbmp libutf8proc libnsutils libnspsl"
+NS_INTERNAL_LIBS="libwapcaplet libparserutils libhubbub libdom libcss libnsgif
libnsbmp libutf8proc libnsutils libnspsl libnslog"
# The browser itself
NS_BROWSER="netsurf"
commitdiff
http://git.netsurf-browser.org/netsurf.git/commit/?id=7136b535edddc5fcb8f...
commit 7136b535edddc5fcb8f1a064239416e561166eda
Author: Vincent Sanders <vince(a)kyllikki.org>
Commit: Vincent Sanders <vince(a)kyllikki.org>
add dnf package management
diff --git a/docs/env.sh b/docs/env.sh
index 518123e..3ad3306 100644
--- a/docs/env.sh
+++ b/docs/env.sh
@@ -184,6 +184,24 @@ ns-yum-install()
sudo yum -y install $(echo ${NS_DEV_RPM} ${NS_TOOL_RPM} ${NS_GTK_RPM})
}
+
+# DNF RPM packages for rpm based systems (tested on fedora 25)
+NS_DEV_DNF_RPM="java-1.8.0-openjdk-headless gcc clang pkgconfig libcurl-devel
libjpeg-devel expat-devel libpng-devel openssl-devel gperf perl-HTML-Parser"
+NS_TOOL_DNF_RPM="git flex bison ccache screen"
+if [ "x${NETSURF_GTK_MAJOR}" = "x3" ]; then
+ NS_GTK_DNF_RPM="gtk3-devel"
+else
+ NS_GTK_DNF_RPM="gtk2-devel"
+fi
+
+# dnf commandline to install necessary dev packages
+ns-dnf-install()
+{
+ sudo dnf install $(echo ${NS_DEV_DNF_RPM} ${NS_TOOL_DNF_RPM} ${NS_GTK_DNF_RPM})
+}
+
+
+
# Haiku secondary arch suffix:
# empty for primary (gcc2 on x86),
# "_x86" for gcc4 secondary.
@@ -227,19 +245,21 @@ fi
ns-package-install()
{
if [ -x "/usr/bin/apt-get" ]; then
- ns-apt-get-install
+ ns-apt-get-install
+ elif [ -x "/usr/bin/dnf" ]; then
+ ns-dnf-install
elif [ -x "/usr/bin/yum" ]; then
- ns-yum-install
+ ns-yum-install
elif [ -x "/bin/pkgman" ]; then
- ns-pkgman-install
+ ns-pkgman-install
elif [ -x "/opt/local/bin/port" ]; then
- ns-macport-install
+ ns-macport-install
elif [ -x "/usr/sbin/pkg" ]; then
- ns-freebsdpkg-install
+ ns-freebsdpkg-install
else
echo "Unable to determine OS packaging system in use."
- echo "Please ensure development packages are installed for:"
- echo ${NS_DEV_GEN}"," ${NS_TOOL_GEN}"," ${NS_GTK_GEN}
+ echo "Please ensure development packages are installed for:"
+ echo ${NS_DEV_GEN}"," ${NS_TOOL_GEN}"," ${NS_GTK_GEN}
fi
}
-----------------------------------------------------------------------
Summary of changes:
Makefile | 5 ++-
Makefile.defaults | 4 +-
docs/env.sh | 111 +++++++++++++++++++++++++++++++----------------------
3 files changed, 70 insertions(+), 50 deletions(-)
diff --git a/Makefile b/Makefile
index 0c2933b..1c2f517 100644
--- a/Makefile
+++ b/Makefile
@@ -505,9 +505,12 @@ CXXWARNFLAGS :=
# C default warning flags
CWARNFLAGS := -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs
-# Pull in the configuration
+# Pull in the default configuration
include Makefile.defaults
+# Pull in the user configuration
+-include Makefile.config
+
# libraries enabled by feature switch without pkgconfig file
$(eval $(call feature_switch,JPEG,JPEG (libjpeg),-DWITH_JPEG,-ljpeg,-UWITH_JPEG,))
$(eval $(call feature_switch,HARU_PDF,PDF export (haru),-DWITH_PDF_EXPORT,-lhpdf
-lpng,-UWITH_PDF_EXPORT,))
diff --git a/Makefile.defaults b/Makefile.defaults
index 619b8db..a3ccf87 100644
--- a/Makefile.defaults
+++ b/Makefile.defaults
@@ -136,11 +136,9 @@ endif
# ----------------------------------------------------------------------------
-# Include any local configuration
+# Detect double inclusion
# ----------------------------------------------------------------------------
ifneq ($(MAKEFILE_DEFAULTS_FINISHED),)
$(error Makefile.defaults has been double-included. If you did something utterly
brain-dead such as copying Makefile.defaults to Makefile.config then you deserve all the
pain you can imagine. Do NOT do that. Why not read the comments at the top of
Makefile.defaults. They are there to help you, you numpty)
endif
MAKEFILE_DEFAULTS_FINISHED=yes
--include Makefile.config
-
diff --git a/docs/env.sh b/docs/env.sh
index 518123e..8a82ad0 100644
--- a/docs/env.sh
+++ b/docs/env.sh
@@ -22,28 +22,28 @@ fi
# Get the host build if unset
if [ "x${HOST}" = "x" ]; then
if [ "x${TARGET_ABI}" = "x" ]; then
- HOST=${BUILD}
+ HOST=${BUILD}
else
- HOST=${TARGET_ABI}
+ HOST=${TARGET_ABI}
fi
else
HOST_CC_LIST="${HOST}-cc ${HOST}-gcc /opt/netsurf/${HOST}/cross/bin/${HOST}-cc
/opt/netsurf/${HOST}/cross/bin/${HOST}-gcc"
for HOST_CC_V in $(echo ${HOST_CC_LIST});do
- HOST_CC=$(/bin/which ${HOST_CC_V})
- if [ "x${HOST_CC}" != "x" ];then
- break
- fi
+ HOST_CC=$(/bin/which ${HOST_CC_V})
+ if [ "x${HOST_CC}" != "x" ];then
+ break
+ fi
done
if [ "x${HOST_CC}" = "x" ];then
- echo "Unable to execute host compiler for HOST=${HOST}. is it set correctly?"
- return 1
+ echo "Unable to execute host compiler for HOST=${HOST}. is it set
correctly?"
+ return 1
fi
HOST_CC_MACHINE=$(${HOST_CC} -dumpmachine 2>/dev/null)
if [ "${HOST_CC_MACHINE}" != "${HOST}" ];then
- echo "Compiler dumpmachine differes from HOST setting"
- return 2
+ echo "Compiler dumpmachine differes from HOST setting"
+ return 2
fi
unset HOST_CC_LIST HOST_CC_V HOST_CC HOST_CC_MACHINE
fi
@@ -90,7 +90,7 @@ NS_GIT="git://git.netsurf-browser.org"
NS_BUILDSYSTEM="buildsystem"
# internal libraries all frontends require (order is important)
-NS_INTERNAL_LIBS="libwapcaplet libparserutils libhubbub libdom libcss libnsgif
libnsbmp libutf8proc libnsutils libnspsl"
+NS_INTERNAL_LIBS="libwapcaplet libparserutils libhubbub libdom libcss libnsgif
libnsbmp libutf8proc libnsutils libnspsl libnslog"
# The browser itself
NS_BROWSER="netsurf"
@@ -139,8 +139,8 @@ case "${HOST}" in
NS_TOOLS=""
# libraries required for the freebsd frontend
NS_FRONTEND_LIBS=""
- # select gnu make
- MAKE=gmake
+ # select gnu make
+ MAKE=gmake
;;
*)
# default tools required to build the browser
@@ -184,6 +184,24 @@ ns-yum-install()
sudo yum -y install $(echo ${NS_DEV_RPM} ${NS_TOOL_RPM} ${NS_GTK_RPM})
}
+
+# DNF RPM packages for rpm based systems (tested on fedora 25)
+NS_DEV_DNF_RPM="java-1.8.0-openjdk-headless gcc clang pkgconfig libcurl-devel
libjpeg-devel expat-devel libpng-devel openssl-devel gperf perl-HTML-Parser"
+NS_TOOL_DNF_RPM="git flex bison ccache screen"
+if [ "x${NETSURF_GTK_MAJOR}" = "x3" ]; then
+ NS_GTK_DNF_RPM="gtk3-devel"
+else
+ NS_GTK_DNF_RPM="gtk2-devel"
+fi
+
+# dnf commandline to install necessary dev packages
+ns-dnf-install()
+{
+ sudo dnf install $(echo ${NS_DEV_DNF_RPM} ${NS_TOOL_DNF_RPM} ${NS_GTK_DNF_RPM})
+}
+
+
+
# Haiku secondary arch suffix:
# empty for primary (gcc2 on x86),
# "_x86" for gcc4 secondary.
@@ -227,19 +245,21 @@ fi
ns-package-install()
{
if [ -x "/usr/bin/apt-get" ]; then
- ns-apt-get-install
+ ns-apt-get-install
+ elif [ -x "/usr/bin/dnf" ]; then
+ ns-dnf-install
elif [ -x "/usr/bin/yum" ]; then
- ns-yum-install
+ ns-yum-install
elif [ -x "/bin/pkgman" ]; then
- ns-pkgman-install
+ ns-pkgman-install
elif [ -x "/opt/local/bin/port" ]; then
- ns-macport-install
+ ns-macport-install
elif [ -x "/usr/sbin/pkg" ]; then
- ns-freebsdpkg-install
+ ns-freebsdpkg-install
else
echo "Unable to determine OS packaging system in use."
- echo "Please ensure development packages are installed for:"
- echo ${NS_DEV_GEN}"," ${NS_TOOL_GEN}"," ${NS_GTK_GEN}
+ echo "Please ensure development packages are installed for:"
+ echo ${NS_DEV_GEN}"," ${NS_TOOL_GEN}"," ${NS_GTK_GEN}
fi
}
@@ -248,13 +268,13 @@ ns-package-install()
# git pull in all repos parameters are passed to git pull
ns-pull()
{
- for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_TOOLS} ${NS_BROWSER}) ; do
- echo -n " GIT: Pulling ${REPO}: "
- if [ -f "${TARGET_WORKSPACE}/${REPO}/.git/config" ]; then
- (cd ${TARGET_WORKSPACE}/${REPO} && git pull $*; )
- else
- echo "Repository not present"
- fi
+ for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_TOOLS} ${NS_BROWSER}) ; do
+ echo -n " GIT: Pulling ${REPO}: "
+ if [ -f "${TARGET_WORKSPACE}/${REPO}/.git/config" ]; then
+ (cd ${TARGET_WORKSPACE}/${REPO} && git pull $*; )
+ else
+ echo "Repository not present"
+ fi
done
}
@@ -262,18 +282,18 @@ ns-pull()
ns-clone()
{
mkdir -p ${TARGET_WORKSPACE}
- for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_RISCOS_LIBS} ${NS_TOOLS} ${NS_BROWSER}) ; do
- echo -n " GIT: Cloning ${REPO}: "
- if [ -f ${TARGET_WORKSPACE}/${REPO}/.git/config ]; then
- echo "Repository already present"
- else
- (cd ${TARGET_WORKSPACE} && git clone ${NS_GIT}/${REPO}.git; )
- fi
+ for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}
${NS_RISCOS_LIBS} ${NS_TOOLS} ${NS_BROWSER}) ; do
+ echo -n " GIT: Cloning ${REPO}: "
+ if [ -f ${TARGET_WORKSPACE}/${REPO}/.git/config ]; then
+ echo "Repository already present"
+ else
+ (cd ${TARGET_WORKSPACE} && git clone ${NS_GIT}/${REPO}.git; )
+ fi
done
# put current env.sh in place in workspace
if [ ! -f "${TARGET_WORKSPACE}/env.sh" -a -f
${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ]; then
- cp ${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ${TARGET_WORKSPACE}/env.sh
+ cp ${TARGET_WORKSPACE}/${NS_BROWSER}/docs/env.sh ${TARGET_WORKSPACE}/env.sh
fi
}
@@ -281,19 +301,19 @@ ns-clone()
ns-make-libs()
{
for REPO in $(echo ${NS_BUILDSYSTEM} ${NS_TOOLS}); do
- echo " MAKE: make -C ${REPO} $USE_CPUS $*"
- ${MAKE} -C ${TARGET_WORKSPACE}/${REPO} $USE_CPUS $*
- if [ $? -ne 0 ]; then
- return $?
- fi
+ echo " MAKE: make -C ${REPO} $USE_CPUS $*"
+ ${MAKE} -C ${TARGET_WORKSPACE}/${REPO} $USE_CPUS $*
+ if [ $? -ne 0 ]; then
+ return $?
+ fi
done
- for REPO in $(echo ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}); do
- echo " MAKE: make -C ${REPO} $USE_CPUS $*"
+ for REPO in $(echo ${NS_INTERNAL_LIBS} ${NS_FRONTEND_LIBS}); do
+ echo " MAKE: make -C ${REPO} $USE_CPUS $*"
${MAKE} -C ${TARGET_WORKSPACE}/${REPO} HOST=${HOST} $USE_CPUS $*
- if [ $? -ne 0 ]; then
- return $?
- fi
+ if [ $? -ne 0 ]; then
+ return $?
+ fi
done
}
@@ -317,4 +337,3 @@ ns-make()
{
${MAKE} $USE_CPUS "$@"
}
-
--
NetSurf Browser